Description

It would be very handy to have some kind of multi-value custom field control, such as a checked list.

The specific application I have in my mind, which will help me illustrate this, is to record what technologies pertain to a particular

issue.

I might have the possible values enumerated as "MS SQL", "MySql", "C#", and "Ruby".  Then if I have an issue that requires some

work done with MS SQL, my DBA (who currently lacks the tools and/or training to work in C# or Ruby) could quickly filter the open

issues and see what she could contribute.

As it stands now I'd have to either define a text box and rely on nobody typing "MSSQL" instead of "MS SQL" when searching, or I'd

have to create a custom field for each possible technology (the actual list could be way longer than 4 items).

The ideal interface would look like the section for adding Watchers (which is awesome by the way).

Related issues:

Is duplicate of Redmine - Feature #1189: Multiselect custom fields Closed 2008-05-06

Is duplicate of Redmine - Feature #5176: Multiple select list in custom fields Closed 2010-03-24

History

#1 - 2010-03-31 01:46 - Enderson Maia

Maybe a duplication of #5176.

#2 - 2010-04-21 17:22 - Eric Hollering

Definitely a duplication -- I did search though, I promise.  ;)

However, if possible, I still want to promote the same interface that is used for Watchers, Related Issues, etc.  It is just so clean and elegant that way!

I'll make my suggestion on #5176.

#3 - 2010-08-03 16:43 - Holger Just

- Status changed from New to Closed

- Resolution set to Duplicate

Closed for being a duplicate of #1189.

#4 - 2011-02-23 15:49 - Ryan Cross

- Status changed from Closed to Reopened

I think this is slightly different than multi-select lists.

As an example, I would like to have a multi-value field for website projects where I can put in urls. Most projects only have 1 or 2 urls, but some

projects have 4,5,6,etc. I could do this with a text area, but i would like to have a structured piece of data to work with over time.

#5 - 2011-03-23 08:54 - Toshi MARUYAMA

- Category set to Custom fields

#6 - 2012-01-29 21:55 - Jean-Philippe Lang

2025-05-02 1/2

https://www.redmine.org/issues/5176
https://www.redmine.org/issues/5176
https://www.redmine.org/issues/1189


- Status changed from Reopened to Closed

Feature added in r8721.

When creating a list, user or version custom field, you can now check the "Multiple values" checkbox to make the custom fields accept multiple

values.
